apiVersion: networking.istio.io/v1alpha3
kind: VirtualService
metadata:
  name: prometheus
  namespace: istio-system
spec:
  hosts:
  - "prometheus.desafio.com.br"
  gateways:
  - desafio-gateway
  http:
  - route:
    - destination:
        host: prometheus-kube-prometheus-prometheus.monitoring.svc.cluster.local
        port:
          number: 9090